#
# spec file for package lxqt-powermanagement
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxqt-powermanagement
Version:        0.11.0
Release:        1.1
Summary:        Power Management and Auto-suspend
License:        LGPL-2.1+
Group:          System/GUI/LXQt
Url:            http://www.lxqt.org
Source:         http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Source1:        http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5IdleTime)
BuildRequires:  libQt5Gui-private-headers-devel
BuildRequires:  cmake(KF5Solid)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Xdg)
BuildRequires:  pkgconfig(lxqt) >= %{version}
Recommends:     %{name}-lang
Requires(pre):	desktop-file-utils
Requires(post):	desktop-file-utils
%requires_eq    libQt5Gui5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
LXQt daemon for power management and auto-suspend

%prep
%setup -q
# Changing LXQt into X-LXQt in desktop files to be freedesktop compliant and shut rpmlint warnings
#find -name '*desktop.in*' -exec sed -ri 's/(LXQt;)/X-\1/' {} +

%build
%cmake  -DPULL_TRANSLATIONS=No
make %{?_smp_mflags}

%install
%cmake_install
%fdupes -s %{buildroot}%{_datadir}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README.md
%{_bindir}/lxqt*
%{_datadir}/applications/*.desktop
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/devices
%{_datadir}/icons/hicolor/scalable/devices/*.svg

%changelog
* Sat Sep 24 2016 mvetter@suse.com
- Update to 0.11.0:
  * README.md: Replace dependency XCB with KIdleTime
  * Idleness Watcher: rely on KIdleTime instead of XCB (#33)
  * fix indents
  * Update and extend README.md
  * Add Catalan translation
  * Add Arabic Translation for Desktop File
  * I18N: Fix Plural Strings (#38)
  * Removes the QEventLoop from the Watcher class
  * build: Use external translations
  * ts-files removal (#34)
  * Bump year Fix licenses, lxqt-powermanagement is LGPL only
  * Fix source language in Italian translation file
  * Italian translation update
  * Update Russian translation Remove ru_RU files
  * Fix typo in Greek translation
  * update: lxqt-powermanagement_hu.ts
  * Add German translation
- Add keyring
- Remove BuildRequirs pkgconfig(xcb), got replaced by KF5IdleTime
* Fri Nov  6 2015 mvetter@suse.com
- Upstream release 0.10.0
- Removing patches:
  * fix_desktop_categories.patch - Using sed in spec file now.
* Sat Feb 21 2015 hrvoje.senjan@gmail.com
- lxqt-powermanagement is using private QPA API, which can, and
  does break BC even in point releases, so we need to hardcode
  libQt5Gui5 version
* Fri Feb 20 2015 sfalken@opensuse.org
- Changed %%build and %%install to use cmake macros
* Mon Feb  9 2015 sfalken@opensuse.org
- New upstream version 0.9.0
- Added -lang Subpackage
- Added Patch
  + fix_desktop_categories.patch to clear rpmlint warnings
* Mon Jan 26 2015 sfalken@opensuse.org
- Added conditionals to enable Fedora builds
* Tue Nov 11 2014 andrea@opensuse.org
- Added license and other documentation
* Sat Oct 25 2014 andrea@opensuse.org
- new upstream version 0.8.0
* Tue May 13 2014 sfalken@opensuse.org
- Specfile and Patch cleanup
* Mon May 12 2014 sfalken@opensuse.org
- removed fedora spec, split into subproject
  Del:  lxqt-powermanagement-Fedora_20.spec
* Sat May 10 2014 sfalken@opensuse.org
- Ran spec-cleaner on openSUSE spec
* Fri May  9 2014 sfalken@opensuse.org
- Added specfile for Fedora_20
  Add:  lxqt-powermanagement-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- Added patch to fix random data error in idlenesswatcher.cpp
  Add:  0003-fix_idlenesswatcher_cpp.patch
* Fri May  9 2014 sfalken@opensuse.org
- Added patches to fix bad includes in sources
  Add:  0001-fix_lid_cpp.patch
  Add:  0002-fix_lidwatcher_cpp.patch
* Fri May  9 2014 sfalken@opensuse.org
- Added tarball for new stable release
  Add:  lxqt-powermanagement-0.7.0.tar.xz
  Del:  _service
* Fri Apr  4 2014 sfalken@opensuse.org
- Initial Source Upload
  Add: _service
  Add: lxqt-powermanagement.spec
  Add: lxqt-powermanagement.changes
